package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreControlledAsset;
import com.chenyang.nse.bussiness.entity.vo.ControlledAssertVO;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;

public interface ControlledAssetService {
   List<ControlledAssertVO> queryControlledAsset(PageInfo pageInfo, Map<String, String> params);

   ControlledAssertVO initControlledAsset(String id);

   TCoreControlledAsset queryByName(String name);

   void addControlledAsset(ControlledAssertVO controlledAssertVO, HttpServletRequest request);

   void remove(String id);

   void deleteAreaByAssetid(String id);

   void deleteRuleByAssetid(String id);

   TCoreControlledAsset queryByDatasourceid(String datasourceid);
}
